Bug 126093 - New port: net-im/pidgin-msn-pecan Alternative MSN protocol plugin for libpurple
Summary: New port: net-im/pidgin-msn-pecan Alternative MSN protocol plugin for libpurple
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-30 13:00 UTC by Henrik Friedrichsen
Modified: 2008-08-06 08:20 UTC (History)
0 users

See Also:


Attachments
pidgin-msn-pecan.shar (2.15 KB, text/plain)
2008-07-30 13:00 UTC, Henrik Friedrichsen
no flags Details
pidgin-msn-pecan-fix.shar (2.88 KB, application/x-shar)
2008-08-03 19:15 UTC, Henrik Friedrichsen
no flags Details
pidgin-msn-pecan-fix.sh (2.88 KB, application/x-sh)
2008-08-03 20:04 UTC, Henrik Friedrichsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Friedrichsen 2008-07-30 13:00:12 UTC
Alternative MSN protocol plugin for libpurple by the main author of the Pidgin MSN plugin
with much more features and a better implementation of the MSN protocol. 

WWW: http://code.google.com/p/msn-pecan/
Comment 1 Martin Wilke freebsd_committer 2008-07-31 09:09:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-08-02 14:51:41 UTC
State Changed
From-To: open->feedback

hi, 

The build failedi on 6.X, Could you please take a look at it? 


http://amd64.miwibox.org/index.php?action=describe_port&id=1621 
http://i386.miwibox.org/index.php?action=describe_port&id=1704 

thx.
Comment 3 Henrik Friedrichsen 2008-08-02 20:23:39 UTC
I'll setup a FreeBSD 6.x box asap to investigate that, because so far I can't trace the origin of the error.
Comment 4 Henrik Friedrichsen 2008-08-03 19:15:37 UTC
Alrighty, give this a try:
Comment 5 Henrik Friedrichsen 2008-08-03 20:04:12 UTC
Uhh, that didn't work out too well. Next try:
Comment 6 Martin Wilke freebsd_committer 2008-08-06 08:19:01 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 7 dfilter service freebsd_committer 2008-08-06 08:19:19 UTC
miwi        2008-08-06 07:19:10 UTC

  FreeBSD ports repository

  Modified files:
    net-im               Makefile 
  Added files:
    net-im/pidgin-msn-pecan Makefile distinfo pkg-descr 
    net-im/pidgin-msn-pecan/files patch-Makefile 
  Log:
  msn-pecan is an alternative MSN protocol plugin for libpurple.
  
  Features include:
  * Support for personal messages
  * Server-side storage for display names (private alias)
  * Partial direct connection support (p2p transfers)
  * Improved network IO (using GIOChannel)
  * Improved error handling
  * Network issues tested with netem
  * GObject usage
  
  WWW: http://code.google.com/p/msn-pecan/
  
  PR:             ports/126093
  Submitted by:   hrkfrd at gmail.com
  
  Revision  Changes    Path
  1.92      +1 -0      ports/net-im/Makefile
  1.1       +26 -0     ports/net-im/pidgin-msn-pecan/Makefile (new)
  1.1       +3 -0      ports/net-im/pidgin-msn-pecan/distinfo (new)
  1.1       +11 -0     ports/net-im/pidgin-msn-pecan/files/patch-Makefile (new)
  1.1       +12 -0     ports/net-im/pidgin-msn-pecan/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"